Bug 145724 - EIO on stdin after su'ing to another user
EIO on stdin after su'ing to another user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 16:51 EST by Stephen Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 11:37:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Harris 2005-01-20 16:51:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041217

Description of problem:
I'm seeing an EIO issue with 2.6.10-1.9_FC2; also seen with 2.6.8-1.521

Logged into a FC2 system via ssh.

If I do "su otheruser -c "MAIL=/var/mail/otheruser mutt" then mutt would SOMETIMES freeze.  Doing a strace of the process would give EIO's trying to read from fd 0.  But the process happily did an ioctl() on fd 0 just before

ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0

then later

select(1, [0], NULL, NULL, {600, 0})    = 1 (in [0], left {599, 801000})
gettimeofday({1106255235, 72850}, NULL) = 0
read(0, 0xbfffee1b, 1)                  = -1 EIO (Input/output error)

I found a smaller case:
% su root -c /bin/sh
About 1 time out of 10 the /bin/sh would immediately terminate; I assume because of EIO on stdin.  The other times it worked as expected.

(to aid testing I put myself in wheel group and editted pam.conf so I don't need to enter password every time).

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. su root -c /bin/sh
2.
3.
  

Actual Results:  In failed case, /bin/sh terminates immediately

Expected Results:  root shell should open

Additional info:
Comment 1 Tim Waugh 2005-02-23 05:33:27 EST
Can't reproduce this on FC3.  Could you provide the full strace output please?
Comment 2 Tim Waugh 2005-09-08 12:13:12 EDT
Do you still see this problem?  I'd like to see the full strace output.
Comment 3 Stephen Harris 2005-09-08 12:36:18 EDT
"su root -c /bin/sh" occaisionally fails, but "strace -o xxx -f su root -c
/bin/sh" never seems to fail; after 100 attempts I never got a failure case :-(

Sorry!
Comment 4 Tim Waugh 2005-09-08 12:49:23 EDT
Is there a line in /etc/bashrc that contains 'stty erase'?  Try commenting out
that line.
Comment 5 Stephen Harris 2005-09-08 12:51:10 EDT
/etc/bashrc is unchanged from setup-2.5.33-1 package; there is no stty command
in it.
Comment 6 Tim Waugh 2005-12-16 08:38:45 EST
Can you repeat the procedure you originally used to obtain strace output?
Comment 7 Stephen Harris 2005-12-16 09:53:07 EST
I'm unable to get an strace for the "su root -c /bin/sh" scenario, but here is
the strace for mutt generated with

  x=/tmp/mutt.problems/$$
  mkdir $x || exit
  exec su - spuddy -c "PATH=$PATH TERM=vt100 MAIL=/var/mail/spuddy strace -o
$x/output -ff mutt $*"


[sweh]/tmp/mutt.problems/4875
(4:pugwash.pts/6)% rpm -q -f /usr/bin/mutt
mutt-1.4.1-6

[sweh]/tmp/mutt.problems/4875
(4:pugwash.pts/6)% cat /etc/redhat-release
Fedora Core release 2 (Tettnang)

[sweh]/tmp/mutt.problems/4875
(4:pugwash.pts/6)% head -500 output       
execve("/usr/bin/mutt", ["mutt"], [/* 9 vars */]) = 0
uname({sys="Linux", node="pugwash.spuddy.org", ...}) = 0
brk(0)                                  = 0x80ce000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=45453, ...}) = 0
old_mmap(NULL, 45453, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7ff4000
close(3)                                = 0
open("/usr/lib/libncursesw.so.5", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\361"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=3156616, ...}) = 0
old_mmap(0x820000, 288844, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x820000
old_mmap(0x85e000, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x3e000) = 0x85e000
old_mmap(0x866000, 2124, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x866000
close(3)                                = 0
open("/usr/lib/libgssapi_krb5.so.2", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`k\307\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=86532, ...}) = 0
old_mmap(0xc71000, 83860, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xc71000
old_mmap(0xc85000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x14000) = 0xc85000
close(3)                                = 0
open("/usr/lib/libkrb5.so.3", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@)\332\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=427444, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ff3000
old_mmap(0xd93000, 425256, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xd93000
old_mmap(0xdf9000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x66000) = 0xdf9000
close(3)                                = 0
open("/usr/lib/libk5crypto.so.3", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240R<\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=140140, ...}) = 0
old_mmap(0x3c2000, 138656, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x3c2000
old_mmap(0x3e3000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x21000) = 0x3e3000
close(3)                                = 0
open("/lib/libcom_err.so.2", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\310"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=7100, ...}) = 0
old_mmap(0xc6c000, 8732, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xc6c000
old_mmap(0xc6e000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x1000)
= 0xc6e000
close(3)                                = 0
open("/lib/libresolv.so.2", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\367"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=76640, ...}) = 0
old_mmap(0xc4d000, 76232, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xc4d000
old_mmap(0xc5c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0xe000)
= 0xc5c000
old_mmap(0xc5e000, 6600, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xc5e000
close(3)                                = 0
open("/lib/libssl.so.4", O_RDONLY)      = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\2006Q\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=213596, ...}) = 0
old_mmap(0x50a000, 212640, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x50a000
old_mmap(0x53b000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x31000) = 0x53b000
close(3)                                = 0
open("/lib/libcrypto.so.4", O_RDONLY)   = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\251"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=973340, ...}) = 0
old_mmap(0xca0000, 985432, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xca0000
old_mmap(0xd7c000, 69632, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0xdc000) = 0xd7c000
old_mmap(0xd8d000, 14680, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xd8d000
close(3)                                = 0
open("/usr/lib/libsasl.so.7", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\363"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=49356, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ff2000
old_mmap(0x7fd000, 47700, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x7fd000
old_mmap(0x808000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0xb000)
= 0x808000
close(3)                                = 0
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\273"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1459332, ...}) = 0
old_mmap(0x6d7000, 1162188, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x6d7000
old_mmap(0x7ed000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x116000) = 0x7ed000
old_mmap(0x7f1000, 7116, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f1000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\270"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=16692, ...}) = 0
old_mmap(0x81a000, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x81a000
old_mmap(0x81c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x1000)
= 0x81c000
close(3)                                = 0
open("/usr/lib/libz.so.1", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\265"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=65548, ...}) = 0
old_mmap(0x8fa000, 67048, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x8fa000
old_mmap(0x90a000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0xf000)
= 0x90a000
close(3)                                = 0
open("/usr/lib/libgdbm.so.2", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20b\177"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=23624, ...}) = 0
old_mmap(0x7f5000, 21048, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x7f5000
old_mmap(0x7fa000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x5000)
= 0x7fa000
close(3)                                = 0
open("/lib/libpam.so.0", O_RDONLY)      = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\243"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=29416, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ff1000
old_mmap(0x9e9000, 30884, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x9e9000
old_mmap(0x9f0000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x6000)
= 0x9f0000
close(3)                                = 0
open("/lib/libcrypt.so.1", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\'\352"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=28392, ...}) = 0
old_mmap(0x2ea2000, 180540, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x2ea2000
old_mmap(0x2ea6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x4000) = 0x2ea6000
old_mmap(0x2ea8000, 155964, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2ea8000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ff0000
mprotect(0x7ed000, 4096, PROT_READ)     = 0
mprotect(0x81c000, 4096, PROT_READ)     = 0
mprotect(0x2ea6000, 4096, PROT_READ)    = 0
mprotect(0x6d3000, 4096, PROT_READ)     = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7ff02a0, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
munmap(0xb7ff4000, 45453)               = 0
getegid32()                             = 500
getgid32()                              = 500
brk(0)                                  = 0x80ce000
brk(0x80ef000)                          = 0x80ef000
brk(0)                                  = 0x80ef000
time(NULL)                              = 1134744502
umask(077)                              = 022
ioctl(0, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
rt_sigaction(SIGTERM, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGHUP, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGQUIT, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGALRM, {0x809af30, [TSTP], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGCONT, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGTSTP, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGINT, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGWINCH, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGCHLD, {0x809af20, [], SA_RESTORER|SA_RESTART|SA_NOCLDSTOP,
0x6fdf48}, NULL, 8) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
access("/home/spuddy/.terminfo/v/vt100", R_OK) = -1 ENOENT (No such file or
directory)
access("/usr/share/terminfo/v/vt100", R_OK) = 0
open("/usr/share/terminfo/v/vt100", O_RDONLY) = 3
read(3, "\32\1,\0\25\0\7\0\16\1\3\2", 12) = 12
read(3, "vt100|vt100-am|dec vt100 (w/adva"..., 44) = 44
read(3, "\0\1\0\0\1\0\0\0\0\0\0\0\0\0\1\0\0\0\0\0\1", 21) = 21
read(3, "\0", 1)                        = 1
read(3, "P\0\10\0\30\0\377\377\377\377\377\377\3\0", 14) = 14
read(3, "\377\377\0\0\2\0\4\0\25\0\32\0&\0.\0\377\377\377\3777\0"..., 540) = 540
read(3, "\7\0\r\0\33[%i%p1%d;%p2%dr\0\33[3g\0\33[H\33[J"..., 515) = 515
read(3, "", 1)                          = 0
read(3, "", 10)                         = 0
close(3)                                = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=24, ws_col=80, ws_xpixel=499, ws_ypixel=316}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
brk(0)                                  = 0x80ef000
brk(0x8110000)                          = 0x8110000
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig -icanon echo ...}) = 0
ioctl(1, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig -icanon -echo ...}) = 0
rt_sigaction(SIGTSTP, NULL, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART,
0x6fdf48}, 8) = 0
rt_sigaction(SIGINT, NULL, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART,
0x6fdf48}, 8) = 0
rt_sigaction(SIGTERM, NULL, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, 8) = 0
rt_sigaction(SIGWINCH, NULL, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART,
0x6fdf48}, 8) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig -icanon -echo ...}) = 0
rt_sigaction(SIGPIPE, {SIG_IGN}, NULL, 8) = 0
rt_sigaction(SIGTERM, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGHUP, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGQUIT, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGALRM, {0x809af30, [TSTP], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGCONT, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGTSTP, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGINT, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGWINCH, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
rt_sigaction(SIGCHLD, {0x809af20, [], SA_RESTORER|SA_RESTART|SA_NOCLDSTOP,
0x6fdf48}, NULL, 8) = 0
write(1, "\33(B\33)0\33[1;24r\33[m\17\33[?7h\33[?1h\33=", 29) = 29
ioctl(1, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig -icanon -echo ...}) = 0
time(NULL)                              = 1134744502
getuid32()                              = 500
socket(PF_FILE, SOCK_STREAM, 0)         = 3
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT
(No such file or directory)
close(3)                                = 0
open("/etc/nsswitch.conf", O_RDONLY)    = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=1686, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fff000
read(3, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1686
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7fff000, 4096)                = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=45453, ...}) = 0
old_mmap(NULL, 45453, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7ff4000
close(3)                                = 0
open("/lib/libnss_files.so.2", O_RDONLY) = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\33\0\000"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=50928, ...}) = 0
old_mmap(NULL, 45724, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0xb7fe4000
old_mmap(0xb7fee000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x9000) = 0xb7fee000
close(3)                                = 0
mprotect(0xb7fee000, 4096, PROT_READ)   = 0
munmap(0xb7ff4000, 45453)               = 0
open("/etc/passwd", O_RDONLY)           = 3
fcntl64(3, F_GETFD)                     = 0
fcntl64(3, F_SETFD, FD_CLOEXEC)         = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=2283, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fff000
read(3, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 2283
close(3)                                = 0
munmap(0xb7fff000, 4096)                = 0
uname({sys="Linux", node="pugwash.spuddy.org", ...}) = 0
getsid(0)                               = 4612
getpid()                                = 4879
access("/home/spuddy/.muttrc-1.4.1i", F_OK) = -1 ENOENT (No such file or directory)
access("/home/spuddy/.muttrc", F_OK)    = 0
access("/home/spuddy/.muttrc", F_OK)    = 0
access("/etc/Muttrc-1.4.1i", F_OK)      = -1 ENOENT (No such file or directory)
access("/etc/Muttrc", F_OK)             = 0
access("/etc/Muttrc", F_OK)             = 0
access("/etc/Muttrc", F_OK)             = 0
open("/etc/Muttrc", O_RDONLY)           = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=92509, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fff000
read(3, "#\n# System configuration file fo"..., 4096) = 4096
read(3, "ers.\n# \n# \n# set askbcc=no\n#\n# N"..., 4096) = 4096
read(3, " yes\n# \n# \n# When unset, Mutt wi"..., 4096) = 4096
read(3, "# \n# If this option is set, mutt"..., 4096) = 4096
read(3, "te that if you change this varia"..., 4096) = 4096
read(3, " then you should set the gecos_m"..., 4096) = 4096
read(3, " an IMAP \'AUTH=xxx\' capability s"..., 4096) = 4096
read(3, "t will\n# use the viewer defined "..., 4096) = 4096
read(3, " ``$mbox\'\' mailbox, or as a resu"..., 4096) = 4096
read(3, " deleted.\n# \n# \n# set mh_seq_fla"..., 4096) = 4096
read(3, "l\n# pager.  The valid sequences "..., 4096) = 4096
read(3, "ainable_sigs=no\n#\n# Name: pgp_re"..., 4096) = 4096
read(3, "\n# Type: string\n# Default: \"\"\n# "..., 4096) = 4096
read(3, "t to use SSLv3 in the\n# SSL auth"..., 4096) = 4096
read(3, "lusion of a message which is bei"..., 4096) = 4096
read(3, "\n# \n# \n# set read_inc=10\n#\n# Nam"..., 4096) = 4096
read(3, ": line of\n# the reply messages i"..., 4096) = 4096
read(3, "he text can be converted exactly"..., 4096) = 4096
read(3, " pause.\n# \n# \n# set sort=date\n#\n"..., 4096) = 4096
read(3, " \"-%r-Mutt: %f [Msgs:%?M?%M/?%m%"..., 4096) = 4096
read(3, "d when this option is set.\n# \n# "..., 4096) = 4096
read(3, "ype: boolean\n# Default: yes\n# \n#"..., 4096) = 4096
read(3, "-quiet  --no-verbose --output - "..., 4096) = 2397
pipe([4, 5])                            = 0
rt_sigaction(SIGINT, {SIG_IGN}, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART,
0x6fdf48}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], NULL, 8) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7ff02e8) = 4880
close(5)                                = 0
fcntl64(4, F_GETFL)                     = 0 (flags O_RDONLY)
fstat64(4, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ffe000
_llseek(4, 0, 0xbfffeb3c, SEEK_CUR)     = -1 ESPIPE (Illegal seek)
read(4, "Good signature from \n", 4096) = 21
close(4)                                = 0
munmap(0xb7ffe000, 4096)                = 0
waitpid(4880, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 4880
rt_sigprocmask(SIG_UNBLOCK, [CHLD], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGQUIT, {0x809aec0, [], SA_RESTORER, 0x6fdf48}, NULL, 8) = 0
rt_sigaction(SIGINT, {0x809af30, [TSTP], SA_RESTORER|SA_RESTART, 0x6fdf48},
NULL, 8) = 0
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7fff000, 4096)                = 0
access("/home/spuddy/.muttrc", F_OK)    = 0
write(1, "\33[24;1H\r\33[?1l\33>", 15)  = 15
ioctl(1, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig icanon echo ...}) = 0
open("/home/spuddy/.muttrc", O_RDONLY)  = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=76, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fff000
read(3, "source ~sweh/.muttrc.ALL\n\nset fr"..., 4096) = 76
open("/etc/passwd", O_RDONLY)           = 4
fcntl64(4, F_GETFD)                     = 0
fcntl64(4, F_SETFD, FD_CLOEXEC)         = 0
fstat64(4, {st_mode=S_IFREG|0644, st_size=2283, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ffe000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 2283
close(4)                                = 0
munmap(0xb7ffe000, 4096)                = 0
open("/home/sweh/.muttrc.ALL", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=2496, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ffe000
read(4, "set alias_file = ~sweh/.mail_ali"..., 4096) = 2496
open("/etc/passwd", O_RDONLY)           = 5
fcntl64(5, F_GETFD)                     = 0
fcntl64(5, F_SETFD, FD_CLOEXEC)         = 0
fstat64(5, {st_mode=S_IFREG|0644, st_size=2283, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ffd000
read(5, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 2283
close(5)                                = 0
munmap(0xb7ffd000, 4096)                = 0
open("/etc/passwd", O_RDONLY)           = 5
fcntl64(5, F_GETFD)                     = 0
fcntl64(5, F_SETFD, FD_CLOEXEC)         = 0
fstat64(5, {st_mode=S_IFREG|0644, st_size=2283, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ffd000
read(5, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 2283
close(5)                                = 0
munmap(0xb7ffd000, 4096)                = 0
open("/home/sweh/.mail_aliases", O_RDONLY) = 5
fstat64(5, {st_mode=S_IFREG|0600, st_size=4231, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7ffd000
read(5, "REDACTED EMAIL ALIASES"..., 4096) = 4096
read(5, "REDACTED EMAIL ALIASES\nalia"..., 4096) = 135
read(5, "", 4096)                       = 0
close(5)                                = 0
munmap(0xb7ffd000, 4096)                = 0
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0xb7ffe000, 4096)                = 0
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7fff000, 4096)                = 0
stat64("/home/spuddy/Mail", {st_mode=S_IFDIR|0700, st_size=36864, ...}) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, {B38400 opost isig icanon echo ...}) = 0
ioctl(1, TIOCGWINSZ, {ws_row=24, ws_col=80, ws_xpixel=499, ws_ypixel=316}) = 0
ioctl(1, SNDCTL_TMR_STOP or TCSETSW, {B38400 opost isig -icanon -echo ...}) = 0
write(1, "\33[1;24r\33[m\17\33[?7h\33[H\33[J\33[23BReadi"..., 54) = 54
open("/var/mail/spuddy", O_RDONLY)      = 3
rt_sigprocmask(SIG_BLOCK, [HUP INT TERM TSTP WINCH], NULL, 8) = 0
fcntl64(3, F_SETLK, {type=F_RDLCK, whence=SEEK_SET, start=0, len=0}) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
access("/var/mail/spuddy", W_OK)        = 0
time(NULL)                              = 1134744502
open("/etc/localtime", O_RDONLY)        = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=1267, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fff000
read(4, "TZif\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\4\0\0\0\4\0"..., 4096) = 1267
close(4)                                = 0
munmap(0xb7fff000, 4096)                = 0
fstat64(3, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fff000
_llseek(3, 0, [0], SEEK_CUR)            = 0
read(3, "", 4096)                       = 0
fcntl64(3, F_SETLK, {type=F_UNLCK, whence=SEEK_SET, start=0, len=0}) = 0
rt_sigprocmask(SIG_UNBLOCK, [HUP INT TERM TSTP WINCH], NULL, 8) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
stat64("/home/spuddy/Mail/postponed", 0xbfffe5dc) = -1 ENOENT (No such file or
directory)
write(1, "\r\33[J\33[H\33[0;7m\17Q:Quit  d:Del  u:U"..., 191) = 191
write(1, "\33[?1h\33=", 7)              = 7
gettimeofday({1134744502, 351842}, NULL) = 0
select(1, [0], NULL, NULL, {600, 0})    = 1 (in [0], left {599, 531000})
gettimeofday({1134744502, 821167}, NULL) = 0
read(0, 0xbfffee1b, 1)                  = -1 EIO (Input/output error)
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
gettimeofday({1134744502, 821411}, NULL) = 0
select(1, [0], NULL, NULL, {600, 0})    = 1 (in [0], left {600, 0})
gettimeofday({1134744502, 821536}, NULL) = 0
read(0, 0xbfffee1b, 1)                  = -1 EIO (Input/output error)
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
gettimeofday({1134744502, 821751}, NULL) = 0
select(1, [0], NULL, NULL, {600, 0})    = 1 (in [0], left {600, 0})
gettimeofday({1134744502, 821887}, NULL) = 0
read(0, 0xbfffee1b, 1)                  = -1 EIO (Input/output error)
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
gettimeofday({1134744502, 822098}, NULL) = 0
select(1, [0], NULL, NULL, {600, 0})    = 1 (in [0], left {600, 0})
gettimeofday({1134744502, 822220}, NULL) = 0
read(0, 0xbfffee1b, 1)                  = -1 EIO (Input/output error)
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
stat64("/var/mail/spuddy", {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
gettimeofday({1134744502, 822431}, NULL) = 0
select(1, [0], NULL, NULL, {600, 0})    = 1 (in [0], left {600, 0})
Comment 8 Tim Waugh 2005-12-16 11:37:16 EST
Well, I'm afraid I haven't been able to reproduce this yet on FC4.  Please
upgrade to FC4 and re-open this if the problem still occurs there.

Note You need to log in before you can comment on or make changes to this bug.